petsc-3.7.7 2017-09-25
Report Typos and Errors

# MatMultDiagonalBlock

Computes the matrix-vector product, y = Dx. Where D is defined by the inode or block structure of the diagonal

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatMultDiagonalBlock(Mat mat,Vec x,Vec y)

Collective on Mat and Vec

### Input Parameters

| mat | - the matrix
| x | - the vector to be multiplied

### Output Parameters

y -the result

### Notes

The vectors x and y cannot be the same. I.e., one cannot call MatMult(A,y,y).

### See Also

MatMultTranspose(), MatMultAdd(), MatMultTransposeAdd()

Level:developer
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages